/*
 * Copyright (c) 2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.token;

class GrpcCheckTokenResponseTestFactory {

	public static final GrpcTokenAttributes GRPC_TOKEN_ATTRIBUTE = GrpcTokenAttributesTestFactory.create();
	public static final GrpcCheckErrors GRPC_CHECK_ERRORS = GrpcCheckErrorsTestFactory.create();

	public static GrpcCheckTokenResponse createValid() {
		return createValidBuilder().build();
	}

	public static GrpcCheckTokenResponse.Builder createValidBuilder() {
		return GrpcCheckTokenResponse.newBuilder()
				.setTokenValid(true)
				.setTokenAttributes(GRPC_TOKEN_ATTRIBUTE);
	}

	public static GrpcCheckTokenResponse createInvalid() {
		return createInvalidBuilder().build();
	}

	public static GrpcCheckTokenResponse.Builder createInvalidBuilder() {
		return GrpcCheckTokenResponse.newBuilder()
				.setTokenValid(false)
				.setCheckErrors(GRPC_CHECK_ERRORS);
	}
}
