/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.token;

import java.util.Map;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class TokenAttributesTestFactory {

	public static final String POSTFACH_ID = UUID.randomUUID().toString();
	public static final String TRUST_LEVEL = LoremIpsum.getInstance().getWords(1);
	public static final TokenAttribute OTHER_ATTRIBUTE = TokenAttributeTestFactory.create();

	public static TokenAttributes create() {
		return createBuilder().build();
	}

	public static TokenAttributes.TokenAttributesBuilder createBuilder() {
		return TokenAttributes.builder()
				.postfachId(POSTFACH_ID)
				.trustLevel(TRUST_LEVEL)
				.otherAttribute(OTHER_ATTRIBUTE);
	}

	public static Map<String, String> asMap() {
		return Map.of(
				TokenAttributes.POSTFACH_ID_KEY, POSTFACH_ID,
				TokenAttributes.TRUST_LEVEL_KEY, TRUST_LEVEL,
				TokenAttributeTestFactory.NAME, TokenAttributeTestFactory.VALUE
		);
	}
}
