/*
 * Copyright (c) 2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.token;

import de.ozgcloud.token.TokenValidationResult.TokenValidationResultBuilder;
import de.ozgcloud.token.common.errorHandler.ValidationErrorTestFactory;
import de.ozgcloud.token.common.errorhandling.ValidationError;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;

public class TokenValidationResultTestFactory {

	public static final TokenAttributes TOKEN_ATTRIBUTES = TokenAttributesTestFactory.create();
	public static final ValidationError VALIDATION_ERROR = ValidationErrorTestFactory.create();

	public static TokenValidationResult createValid() {
		return createValidBuilder().valid(true).build();
	}

	public static TokenValidationResultBuilder createValidBuilder() {
		return TokenValidationResult.builder()
				.valid(true)
				.attributes(TOKEN_ATTRIBUTES);
	}

	public static TokenValidationResult createInvalid() {
		return createInvalidBuilder().build();
	}

	public static TokenValidationResult.TokenValidationResultBuilder createInvalidBuilder() {
		return TokenValidationResult.builder()
				.valid(false)
				.validationError(VALIDATION_ERROR);
	}
}
